Use RMagick gem to create thumbnails when available
2012-12-06 23:55 - Alex Shulgin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description

Attached patch uses RMagick library calls to create image attachment thumbnails when rmagick gem is available, otherwise
degrades to shell call to 'convert' utility.

History

#1 - 2012-12-07 10:18 - Etienne Massip
- Category changed from Attachments to Code cleanup/refactoring

- Target version set to Candidate for next major release

#2 - 2013-01-05 14:48 - Jean-Philippe Lang

| don't know if we should rely on RMagick more than we currently do. The latest release of this gem is almost 3 year old and it looks like we have
some issues with using RMagick: #12480, #12732. Please, correct me if I'm wrong but I'm not sure that using RMagick to generate thumbnails is
more efficient.

#3 - 2013-01-05 17:19 - Alex Shulgin
Jean-Philippe Lang wrote:
| don't know if we should rely on RMagick more than we currently do. The latest release of this gem is almost 3 year old and it looks like we have

some issues with using RMagick: #12480, #12732. Please, correct me if I'm wrong but I'm not sure that using RMagick to generate thumbnails is
more efficient.

I'm all for removing dependency on ImageMagick library (ever tried ImageScience: http:/docs.seattlerb.org/ImageScience.html ?) It just strikes me as
extra inefficient to run “convert® via shell for what you could just bind the lib, which | believe RMagick does.

Alex
#4 - 2013-01-05 18:01 - Jean-Philippe Lang

Alex Shulgin wrote:

I'm all for removing dependency on ImageMagick library

| was speaking about the RMagick gem, not the ImageMagick library
It just strikes me as extra inefficient to run “convert’ via shell for what you could just bind the lib, which | believe RMagick does.
This is slower indeed but memory consumption is much lower too.

#5 - 2013-01-05 18:07 - Alex Shulgin

Jean-Philippe Lang wrote:

This is slower indeed but memory consumption is much lower too.

Hm, | don't see how sane implementation of library binding would be consuming noticeable amounts of memory, which suggests RMagick
implementation isn't sane.

#6 - 2013-01-05 18:40 - Jean-Philippe Lang
https://www.redmine.org/issues/12480
https://www.redmine.org/issues/12732
https://www.redmine.org/issues/12480
https://www.redmine.org/issues/12732
http://docs.seattlerb.org/ImageScience.html

A few pointers:

http://stackoverflow.com/questions/13406343/rmagick-correct-way-to-create-a-thumbnail-without-leaking-memory

http://thr3ads.net/mongrel-users/2006/12/2110-RMagick-bad-good
https://github.com/minimagick/minimagick#why

[ ]
e https://groups.google.com/forum/#!topic/heroku/toln3wzQX7c
L]
L]

#7 - 2013-01-05 20:12 - Alex Shulgin

OK, I see your point. | think this item can be closed.
Thanks.

Alex

#8 - 2013-01-05 21:18 - Daniel Felix

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)
- Resolution set to Wont fix

Hi Alex,

thanks anyway for your suggestion. I'm closing this ticket now.
